Summary:	A GTK+2 based image viewer that supports xine and mplayer
Name:		gimageview
Version:	0.2.27
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphics
URL:		http://www.homa.ne.jp/~ashie/gimageview/
Source0:	%{name}-%{version}.tar.bz2
Suggests:	mplayer
Obsoletes:	%{mklibname gimageview 0} <= %{version}-%{release}
Obsoletes:	%{mklibname gimageview 0 -d} <= %{version}-%{release}
BuildRequires:	gtk+2-devel
BuildRequires:	librsvg-devel
BuildRequires:	libwmf-devel
BuildRequires:	libxine-devel

%description
GImageView is a GTK+2-based image viewer.
It supports tabbed browsing, thumbnail table views, directory tree views,
drag and drop, reading thumbnail cache of other famous image viewers,
and flexible user interface. Also it supports xine and mplayer, so you can
play movies/music. 

%prep
rm -rf %{buildroot}
%setup -q

%build
%configure2_5x --with-gtk2 --with-xine --enable-mplayer --disable-splash --disable-rpath
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall}
rm -rf %{buildroot}%{_datadir}/gnome

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=GImageView
Comment=Image viewer and browser
Exec=%{_bindir}/gimv 
Icon=graphics_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=image/bmp;image/gif;image/jpeg;image/jpg;image/pjpeg;image/png;image/tiff;image/x-bmp;image/x-gray;image/x-icb;image/x-ico;image/x-png;image/x-portable-anymap;image/x-portable-bitmap;image/x-portable-graymap;image/x-portable-pixmap;image/x-psd;image/x-xbitmap;image/x-xpixmap;image/x-pcx;image/svg+xml;image/vnd.wap.wbmp;
Categories=GTK;AudioVideo;Graphics;2DGraphics;Viewer
EOF

%find_lang %{name}

%post 
%{update_menus}

%postun
%{clean_menus}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog HACKING NEWS README TODO 
%{_bindir}/gimv
%{_datadir}/pixmaps/gimv.png
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}



%changelog
* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.27-3mdv2008.1
+ Revision: 138573
- actually, why run autogen at all?
- back to autogen.sh, buildrequires automake1.7
- try with autoreconf rather than autogen
- really version the obsoletes
- version the obsoletes
- rebuild for new era
- adjust file list
- XDG menu
- convert mplayer require to a suggest
- bunzip2 patch
- new license policy
- drop bogus "library" packages that just contained gimageview-specific plugins
- clean spec

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import gimageview


* Sat Jun 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.27-2
- drop (versioned) automake buildrequires
- mkrel...

* Fri Feb 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.27-1mdk
- 0.2.27

* Thu Sep 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.26-1mdk
- new release

* Fri Sep 24 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.25-0.20040924.1mdk
- cvs20040924

* Sat Sep 04 2004 Michael Scherer <misc@mandrake.org> 0.2.25-0.20040730.2mdk 
- [DIRM]

* Fri Jul 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.25-0.20040730.1mdk
- cvs20040730
- remove Patch0 (conflict)
- add Patch1

* Wed Mar 17 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.25-1mdk
- fix requires
- add xine and mplayer support
- separation (gimageview*, libgimageview0*, libgimageview0-devel)
- use 20040317cvs

* Mon Mar 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.24-1mdk
- from Shlomi Fish <shlomif@vipe.technion.ac.il> :
	- converted to Mandrake.

* Mon May 19 2003 Takuro Ashie <ashie@homa.ne.jp>
- add mplayerrc

* Sat Aug 31 2002 Takuro Ashie <ashie@homa.ne.jp>
- moved document directory under %%_docdir.

* Wed Aug 28 2002 Takuro Ashie <ashie@homa.ne.jp>
- added japanese HTML files.

* Sun May 21 2002 Takuro Ashie <ashie@homa.ne.jp>
- added gtkrc and gimageview.desktop files.

* Sun Feb 23 2002 Takuro Ashie <ashie@homa.ne.jp>
- Modified to use gdk-pixbuf instead of imlib.
- Replaced "gimageview" directory to %%{name}

* Sun Feb 17 2002 Takuro Ashie <ashie@homa.ne.jp>
- Bug fix.

* Thu Feb 12 2002 Takuro Ashie <ashie@homa.ne.jp>
- Update to 0.1.97

* Thu Jan  3 2002 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.7-0vl1

* Tue Dec 25 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.6-0vl1

* Mon Dec 10 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.5-0vl1
- change Source0

* Thu Nov 15 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.3-0vl1
- build for Vine Linux 2.1.*
- modify spec file (base: 0.1.2-3k.nosrc.rpm)
- add Japanese summary and description.

* Sat Nov 02 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.2

* Sat Nov 02 2001 Ogawa Youhei <t-nyan2@nifty.com>
- change files section for 2001-11-01 nightly

* Sat Oct 15 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for nightly

* Sat Oct 12 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.1

* Sat Sep 08 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.0

* Sat Sep 08 2001 Ogawa Youhei <t-nyan2@nifty.com>
- Initial build.
